curl -X PATCH "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{"is_read":true}'
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "sms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Hey, when is my order arriving?",
"media": null,
"is_read": true,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}
Phone
Update a Phone Message
Mark an inbound SMS or MMS message as read or unread.
PATCH
/
api
/
v1
/
phone
/
numbers
/
{number}
/
messages
/
{message_id}
curl -X PATCH "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{"is_read":true}'
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "sms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Hey, when is my order arriving?",
"media": null,
"is_read": true,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}
This endpoint updates message metadata only. The message body, sender, recipients, and timestamp cannot be changed.
string
required
Number ID (
pn_...), E.164 phone number, or owning agent handle.string
required
Message ID (
msg_...).boolean
required
Set to
true to mark the message read or false to mark it unread.curl -X PATCH "https://api.wirebox.sh/api/v1/phone/numbers/eva/messages/msg_01J8DEF789KLM012" \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{"is_read":true}'
{
"id": "msg_01J8DEF789KLM012",
"phone_number": "+14155550123",
"agent_handle": "eva",
"direction": "inbound",
"type": "sms",
"from_number": "+12125550199",
"to_numbers": ["+14155550123"],
"text": "Hey, when is my order arriving?",
"media": null,
"is_read": true,
"segments": 1,
"created_at": "2026-09-14T14:30:00Z"
}